delete
https://{defaultHost}/api/v4/campaigns//users/
Unassigns a user from the specified campaign.
The Remove user from a campaign endpoint unassigns a user from the specified Dialer campaign.
Requirements: Base URL, Authentication, Error codes
What this does
When you send a Remove user from a campaign request,
Voiso
removes the specified user from the campaign and returns the removed user.
Endpoint
DELETE /api/v4/campaigns/{campaign_id}/users/USER_ID
Path parameters
- campaign_id
The unique identifier of the campaign. - user_id
The unique identifier of the user.
Related endpoints
- Get a campaign ID: Get list of campaigns
- Get user IDs: Get list of users
- Verify current assignments: Get users assigned to a campaign
Example request
curl -X DELETE "https://{cluster_id}.voiso.com/api/v4/campaigns/1/users/42" \
-H "Authorization: Bearer <contact_center_api_key>" \
-H "Content-Type: application/json"Response
If successful, the API returns user.
{
"user": {
"id": 42,
"name": "Jane Doe",
"email": "[email protected]"
}
}Troubleshooting
401 Unauthorized
Returned if the API key is missing or invalid.
403 Forbidden
Returned if the API key does not have access to Campaigns resources.
404 Not found
Returned if the campaign or user does not exist, or is not accessible.
409 Conflict
Returned if the request conflicts with the current state of the campaign.
429 Too many requests
Returned if requests are rate limited.